stages:
- build 
- test

build:
  stage: build
  before_script:
    - apt-get update && apt-get install make
    - apt-get -y install cmake
  script:
    - cmake -B build -S .
    - cmake --build build --target Producer
  artifacts:
    paths:
      - build/Producer

RunGTest:
  stage: test
  before_script:
    - apt-get update && apt-get install make
    - apt-get -y install cmake
  script:
    - cmake -B build -S .
    - cmake --build build --target GeneratorTest
    - build/Generator/GeneratorTest

RunCTest:
  stage: test
  before_script:
    - apt-get update && apt-get install make
    - apt-get -y install cmake
  script:
    - cmake -B build -S .
    - cd build
    - ctest --output-on-failure -j6